From 4d029423a78c7770c177fa820fc0a3bcf9610412 Mon Sep 17 00:00:00 2001
From: wangw <wangw.fnst@fujitsu.com>
Date: Tue, 23 May 2023 11:02:09 +0800
Subject: [PATCH] tmp modification

---
 src/backend/replication/logical/reorderbuffer.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/src/backend/replication/logical/reorderbuffer.c b/src/backend/replication/logical/reorderbuffer.c
index 26d252bd87..5baf383fcc 100644
--- a/src/backend/replication/logical/reorderbuffer.c
+++ b/src/backend/replication/logical/reorderbuffer.c
@@ -338,9 +338,9 @@ ReorderBufferAllocate(void)
 	 */
 	buffer->tup_context = GenerationContextCreate(new_ctx,
 												  "Tuples",
-												  SLAB_LARGE_BLOCK_SIZE,
-												  SLAB_LARGE_BLOCK_SIZE,
-												  SLAB_LARGE_BLOCK_SIZE);
+												  SLAB_DEFAULT_BLOCK_SIZE,
+												  SLAB_DEFAULT_BLOCK_SIZE,
+												  SLAB_DEFAULT_BLOCK_SIZE);
 
 	hash_ctl.keysize = sizeof(TransactionId);
 	hash_ctl.entrysize = sizeof(ReorderBufferTXNByIdEnt);
@@ -3617,6 +3617,9 @@ ReorderBufferCheckMemoryLimit(ReorderBuffer *rb)
 		}
 		else
 		{
+			elog(LOG, "tmp test, before serialization, rb->size is %zu", rb->size);
+			MemoryContextStats(rb->context);
+
 			/*
 			 * Pick the largest transaction (or subtransaction) and evict it
 			 * from memory by serializing it to disk.
@@ -3629,6 +3632,9 @@ ReorderBufferCheckMemoryLimit(ReorderBuffer *rb)
 			Assert(rb->size >= txn->size);
 
 			ReorderBufferSerializeTXN(rb, txn);
+
+			elog(LOG, "tmp test, after serialization, rb->size is %zu", rb->size);
+			MemoryContextStats(rb->context);
 		}
 
 		/*
-- 
2.31.1

